from practicum import McuBoard

RQ_SET_LED    = 0
RQ_GET_SWITCH = 1
RQ_GET_LIGHT  = 2

####################################
class PeriBoard(McuBoard):

    ################################
    def setLed(self, led_no, led_val):
        '''
        Set status of LED led_no on peripheral board to led_val
        '''
        self.usb(0,led_no,led_val)
    
    ################################
    def setLedValue(self, value):
        '''
        Display value's 3 LSBs on peripheral board's LEDs
        '''
        self.setLed(2,(value & 0b100) >> 2)
        self.setLed(1,(value & 0b010) >> 1)
        self.setLed(0,value & 0b001)

    ################################
    def getSwitch(self):
        '''
        Return a boolean value indicating whether the switch on the peripheral
        board is currently pressed
        '''
        return bool(self.usb(1,3)[0])

    ################################
    def getLight(self):
        '''
        Return the current reading of light sensor on peripheral board
        '''
        return self.usb(2,4)[0]

import time
def re():
    global a
    a=PeriBoard()
re()
"""
while 0:
    print(a.usb(2,4)[0])
    time.sleep(0.1)
flg=7
while True:
	#flg=0 if flg else 7
	flg=(flg+1)%8
	a.setLedValue(flg)
	#time.sleep(1/32/200)
	time.sleep(0.2)
	
"""
"""flg=0
k=[
    [1,0,0,0],
    [1,1,0,0],
    [0,1,0,0],
    [0,1,1,0],
    [0,0,1,0],
    [0,0,1,1],
    [0,0,0,1],
    [1,0,0,1]
    ]
kx=[
    [1,0,0,0],
    [0,1,0,0],
    [0,0,1,0],
    [0,0
     ,0,1],
    ]
print(a.usb(3))
a.usb(4,15)
print(a.usb(3))
while True:
	flg=(flg+1)%len(k)
	for i in range(4):
	  a.setLed(i,k[flg][i])
	time.sleep(0.0001)
	#print(k[flg])
	#input()
	"""
"""a.usb(32,144,3)
i=0
while 1:
	#print(a.usb(30,0b10111000,i))
	i=(i+1)%256
	print(a.usb(31,0b10111000))
	time.sleep(0.1)"""

"""
a.usb(4,255)
flg=31
while True:
	flg=(flg+1)%32
	for i in [4,3,2,1,0]:
	  a.setLed(i,1 if flg&(1<<i) else 0)
	time.sleep(0.5)
	#print(k[flg])
	#input()
"""

a.usb(60)
a.usb(63,0,2)
a.usb(64,0,1)
while True:
    val =sum(a.usb(61,0,1))/1
    print(str(val) + " " + ("!!!" if val>770 else ""))
    #time.sleep(0.01)
